extends: existence
message: "Remove '%s' if it's not important to the meaning of the statement."
link: https://docs.microsoft.com/en-us/style-guide/word-choice/use-simple-words-concise-sentences
ignorecase: true
level: warning
action:
  name: remove
tokens:
  - abnormally
  - absentmindedly
  - accidentally
  - adventurously
  - anxiously
  - arrogantly
  - awkwardly
  - bashfully
  - beautifully
  - bitterly
  - bleakly
  - blindly
  - blissfully
  - boastfully
  - boldly
  - bravely
  - briefly
  - brightly
  - briskly
  - broadly
  - busily
  - calmly
  - carefully
  - carelessly
  - cautiously
  - cheerfully
  - cleverly
  - closely
  - coaxingly
  - colorfully
  - continually
  - coolly
  - courageously
  - crossly
  - cruelly
  - curiously
  - daintily
  - dearly
  - deceivingly
  - deeply
  - defiantly
  - deliberately
  - delightfully
  - diligently
  - dimly
  - doubtfully
  - dreamily
  - easily
  - effectively
  - elegantly
  - energetically
  - enormously
  - enthusiastically
  - excitedly
  - extremely
  - fairly
  - faithfully
  - famously
  - ferociously
  - fervently
  - fiercely
  - fondly
  - foolishly
  - fortunately
  - frankly
  - frantically
  - freely
  - frenetically
  - frightfully
  - furiously
  - generally
  - generously
  - gently
  - gladly
  - gleefully
  - gracefully
  - gratefully
  - greatly
  - greedily
  - happily
  - hastily
  - healthily
  - heavily
  - helplessly
  - honestly
  - hopelessly
  - hungrily
  - innocently
  - inquisitively
  - intensely
  - intently
  - interestingly
  - inwardly
  - irritably
  - jaggedly
  - jealously
  - jovially
  - joyfully
  - joyously
  - jubilantly
  - judgmentally
  - justly
  - keenly
  - kiddingly
  - kindheartedly
  - knavishly
  - knowingly
  - knowledgeably
  - lazily
  - lightly
  - limply
  - lively
  - loftily
  - longingly
  - loosely
  - loudly
  - lovingly
  - loyally
  - madly
  - majestically
  - meaningfully
  - mechanically
  - merrily
  - miserably
  - mockingly
  - mortally
  - mysteriously
  - naturally
  - nearly
  - neatly
  - nervously
  - nicely
  - noisily
  - obediently
  - obnoxiously
  - oddly
  - offensively
  - optimistically
  - overconfidently
  - painfully
  - partially
  - patiently
  - perfectly
  - playfully
  - politely
  - poorly
  - positively
  - potentially
  - powerfully
  - promptly
  - properly
  - punctually
  - quaintly
  - queasily
  - queerly
  - questionably
  - quickly
  - quietly
  - quirkily
  - quite
  - quizzically
  - randomly
  - rapidly
  - rarely
  - readily
  - really
  - reassuringly
  - recklessly
  - regularly
  - reluctantly
  - repeatedly
  - reproachfully
  - restfully
  - righteously
  - rightfully
  - rigidly
  - roughly
  - rudely
  - safely
  - scarcely
  - scarily
  - searchingly
  - sedately
  - seemingly
  - selfishly
  - separately
  - seriously
  - shakily
  - sharply
  - sheepishly
  - shrilly
  - shyly
  - silently
  - sleepily
  - slowly
  - smoothly
  - softly
  - solemnly
  - solidly
  - speedily
  - stealthily
  - sternly
  - strictly
  - suddenly
  - supposedly
  - surprisingly
  - suspiciously
  - sweetly
  - swiftly
  - sympathetically
  - tenderly
  - tensely
  - terribly
  - thankfully
  - thoroughly
  - thoughtfully
  - tightly
  - tremendously
  - triumphantly
  - truthfully
  - ultimately
  - unabashedly
  - unaccountably
  - unbearably
  - unethically
  - unexpectedly
  - unfortunately
  - unimpressively
  - unnaturally
  - unnecessarily
  - urgently
  - usefully
  - uselessly
  - utterly
  - vacantly
  - vaguely
  - vainly
  - valiantly
  - vastly
  - verbally
  - very
  - viciously
  - victoriously
  - violently
  - vivaciously
  - voluntarily
  - warmly
  - weakly
  - wearily
  - wetly
  - wholly
  - wildly
  - willfully
  - wisely
  - woefully
  - wonderfully
  - worriedly
  - yawningly
  - yearningly
  - yieldingly
  - youthfully
  - zealously
  - zestfully
  - zestily
